program rkmain
  use rkmod
  implicit none
  real(kind=dpkind),dimension(3) :: x = [0.5, 0.5, 0.5]
  integer :: max_i = 5000
!  real(kind=dpkind), allocatable, dimension(:, :) :: r
  real(kind=dpkind), dimension(5000, 4) :: r

!  allocate(r(max_i, 4))
  call calc(x, max_i, r)
  open(17,file='rkmain.dat', form='unformatted', access = "stream", status='replace')
  write(17) r
  close(17)
end program

